| OpenCV 4.3.0 Open Source Computer Vision

Classes | Typedefs | Functions
cv::tbm Namespace Reference

## Classes
class | CosDistance
| The CosDistance class allows computing cosine distance between two reidentification descriptors. More...
class | IDescriptorDistance
| The IDescriptorDistance class declares an interface for distance computation between reidentification descriptors. More...
class | IImageDescriptor
| The IImageDescriptor class declares base class for image descriptor. More...
class | ITrackerByMatching
| Tracker-by-Matching algorithm interface. More...
class | MatchTemplateDistance
| Computes distance between images using MatchTemplate function from OpenCV library and its cross-correlation computation method in particular. More...
class | ResizedImageDescriptor
| Uses resized image as descriptor. More...
class | Track
| The Track class describes tracks. More...
struct | TrackedObject
| The TrackedObject struct defines properties of detected object. More...
struct | TrackerParams
| The TrackerParams struct stores parameters of TrackerByMatching. More...

## Typedefs
using | ObjectTracks = std::unordered_map< int, TrackedObjects >
| (object id, detected objects) pairs collection. More...
using | TrackedObjects = std::deque< TrackedObject >

## Functions
cv::Ptr< ITrackerByMatching > | createTrackerByMatching (const TrackerParams &params=TrackerParams())
| The factory to create Tracker-by-Matching algorithm implementation. More...
bool | operator!= (const TrackedObject &first, const TrackedObject &second)
bool | operator== (const TrackedObject &first, const TrackedObject &second)

## Typedef Documentation

## ◆ ObjectTracks

using cv::tbm::ObjectTracks = typedef std::unordered_map<int, TrackedObjects>

(object id, detected objects) pairs collection.

## ◆ TrackedObjects

using cv::tbm::TrackedObjects = typedef std::deque<TrackedObject>

## Function Documentation

## ◆ createTrackerByMatching()

cv::Ptr<ITrackerByMatching> cv::tbm::createTrackerByMatching | ( | const TrackerParams & | params = `TrackerParams()` | ) |

The factory to create Tracker-by-Matching algorithm implementation.

## ◆ operator!=()

bool cv::tbm::operator!= | ( | const TrackedObject & | first,
|  | const TrackedObject & | second
| ) |  |

## ◆ operator==()

bool cv::tbm::operator== | ( | const TrackedObject & | first,
|  | const TrackedObject & | second
| ) |  |